package com.yihu.jw.entity.rehabilitation;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by hmf on 2020/2/26.
 */
@Entity
@Table(name = "wlyy_rehabilitation_guidance_patient")
@SequenceGenerator(name="id_generated", sequenceName="seq_wlyy_rehabilitation_guidance_patient")
public class RehabilitationguidancePatientDO extends IntegerIdentityEntity {

    private String patient;
    private String name;
    private String article;//模板code
    private String doctor;//模板内容
    private String doctorName;//创建医生code，该字段为空即系统模板
    private Integer isRead;//是否已读
    private String attachedContent;//康复指导内容
    private String attachedTitle;//康复指导标题
    private Integer sendStatus;//发送状态（1成功0失败）
    private String relationCode;//业务关联
    private Date czrq;//操作时间
    @Transient
    private String photo;//图片


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "article")
    public String getArticle() {
        return article;
    }

    public void setArticle(String article) {
        this.article = article;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "is_read")
    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    @Column(name = "attached_content")
    public String getAttachedContent() {
        return attachedContent;
    }

    public void setAttachedContent(String attachedContent) {
        this.attachedContent = attachedContent;
    }

    @Column(name = "attached_title")
    public String getAttachedTitle() {
        return attachedTitle;
    }

    public void setAttachedTitle(String attachedTitle) {
        this.attachedTitle = attachedTitle;
    }

    @Column(name = "send_status")
    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "relation_code")
    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    @Transient
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }
}
